classification
Title: PEP 383: os.pathconf() does not accept surrogateescape arguments
Type: behavior Stage: resolved
Components: Extension Modules Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: baikie, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2010-08-19 18:41 by baikie, last changed 2013-12-09 16:25 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
pathconf-pep383-3.2.diff baikie, 2010-08-19 18:41 Use PyUnicode_FSConverter() in pathconf() (for 3.2)
pathconf-cleanup.diff baikie, 2010-08-19 18:42 Clean up indentation after applying previous patch
Messages (4)
msg114393 - (view) Author: David Watson (baikie) Date: 2010-08-19 18:41
The pathconf() function still converts its argument with the "s"
format; the attached pathconf-pep383-3.2.diff fixes it to use
PyUnicode_FSConverter() (in 3.2).  Also attaching
pathconf-cleanup.diff to clean up the indentation, which
otherwise makes the code rather confusing to look at.
msg178695 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-31 15:52
This was fixed in 3.3 (the complex solution is not backportable), therefore this is 3.2 only issue.
msg178698 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-31 16:12
Please provide a full patch, doesn't split it on parts which should be applied one over other. Test needed.
msg205709 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-09 16:25
As 3.2 now in security fixes only mode, this issue has no targets.
History
Date User Action Args
2013-12-09 16:25:22serhiy.storchakasetstatus: open -> closed
resolution: out of date
messages: + msg205709

stage: test needed -> resolved
2012-12-31 16:12:57serhiy.storchakasetmessages: + msg178698
stage: patch review -> test needed
2012-12-31 15:52:46serhiy.storchakasetversions: - Python 3.1
nosy: + vstinner, serhiy.storchaka

messages: + msg178695

stage: patch review
2010-08-19 18:42:11baikiesetfiles: + pathconf-cleanup.diff
2010-08-19 18:41:32baikiecreate